/*-
 *  Copyright (c) 2003  Peter Pentchev
 *  All rights reserved.
 * 
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *  1. Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 * 
 *  THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 *  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 *  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 *  ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 *  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 *  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 *  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 *  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 *  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 *  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 *  SUCH DAMAGE.
 *
 *  $Ringlet: cs/net/ProxyUtils/ProxyUtils/ProxyMatchComponent.cs,v 1.1.1.1 2003/04/03 06:32:26 roam Exp $
 */

using System;

namespace Ringlet.Net.ProxyUtils
{
	/// <summary>
	/// Specify the part of the URI to match against.
	/// </summary>
	public enum ProxyMatchComponent
	{
		/// <summary>
		/// The URI scheme
		/// </summary>
		URIScheme,
		/// <summary>
		/// The full URI server, containing the username,
		/// password, and port fields.
		/// </summary>
		URIServer,
		/// <summary>
		/// The URI server hostname.
		/// </summary>
		URIServerHost,
		/// <summary>
		/// The URI server access password.
		/// </summary>
		URIServerPassword,
		/// <summary>
		/// The URI server port.
		/// </summary>
		URIServerPort,
		/// <summary>
		/// The URI server access username.
		/// </summary>
		URIServerUser,
		/// <summary>
		/// The URI path.
		/// </summary>
		URIPath,
		/// <summary>
		/// The URI query.
		/// </summary>
		URIQuery,
		/// <summary>
		/// The whole of the URI.
		/// </summary>
		URIWhole
	}
}
